View Issue Details

IDProjectCategoryView StatusLast Update
12773Bug reports[All Projects] Installationpublic2017-10-25 11:12
ReportertammoAssigned Toolle 
PrioritynoneSeverityblock 
Status closedResolutionfixed 
Product Version3.0.0-beta.x 
Target Version3.0Fixed in Version3.0.0-beta.x 
Summary12773: Error referring to MaraiDB displayed after installing on MySQL
DescriptionPlease see attached image.
Steps To ReproduceInstall GIT version...
Cannot proceed further.
TagsNo tags attached.
Complete LimeSurvey version number (& build)3.0 GIT
I will donate to the project if issue is resolvedNo
BrowserChrome
Database & DB-VersionMySQL
Operating System (Server)W10
Webserver software & versionXAMPP
PHP Version5.5.30

Activities

tammo

tammo

2017-10-12 13:56

developer  

LimeGit TFR.png (43,162 bytes)
LimeGit TFR.png (43,162 bytes)
tammo

tammo

2017-10-12 14:00

developer   ~44602

An non-recoverable error happened during the update. Error details:
CDbCommand failed to execute the SQL statement: SQLSTATE[42000]: Syntax error or access violation: 1064 You have an error in your SQL syntax; check the manual that corresponds to your MariaDB server version for the right syntax to use near '' at line 1. The SQL statement executed was: ALTER TABLE `lime_templates` CHANGE `extends_template_name` extends
olle

olle

2017-10-12 14:19

administrator   ~44607

Is this a fresh install?
tammo

tammo

2017-10-12 14:23

developer   ~44608

Fresh git, new db
olle

olle

2017-10-12 14:35

administrator   ~44609

OK, will check.
tammo

tammo

2017-10-12 15:04

developer   ~44615

Also happens on Linux server.
olle

olle

2017-10-12 15:05

administrator   ~44616

Fix committed to develop branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=24079
c_schmitz

c_schmitz

2017-10-25 11:12

administrator   ~44826

3.0.0-RC1 Build 171025 released

Related Changesets

LimeSurvey: develop 1dfdd6ff

2017-10-12 15:04:37

olle

Details Diff
Fixed issue 12773: Error referring to MaraiDB displayed after installing on MySQL
mod - application/helpers/update/updatedb_helper.php Diff File
mod - tests/helpers/UpdateDbHelperTest.php Diff File

Issue History

Date Modified Username Field Change
2017-10-12 13:56 tammo New Issue
2017-10-12 13:56 tammo Status new => assigned
2017-10-12 13:56 tammo Assigned To => LouisGac
2017-10-12 13:56 tammo File Added: LimeGit TFR.png
2017-10-12 14:00 tammo Severity major => block
2017-10-12 14:00 tammo Steps to Reproduce Updated View Revisions
2017-10-12 14:00 tammo Note Added: 44602
2017-10-12 14:19 olle Note Added: 44607
2017-10-12 14:23 tammo Note Added: 44608
2017-10-12 14:35 olle Assigned To LouisGac => olle
2017-10-12 14:35 olle Note Added: 44609
2017-10-12 15:04 tammo Note Added: 44615
2017-10-12 15:05 olle Changeset attached => LimeSurvey develop 1dfdd6ff
2017-10-12 15:05 olle Note Added: 44616
2017-10-12 15:05 olle Resolution open => fixed
2017-10-12 15:17 olle Status assigned => resolved
2017-10-19 09:55 c_schmitz Fixed in Version => 3.0.0-beta.x
2017-10-25 11:12 c_schmitz Note Added: 44826
2017-10-25 11:12 c_schmitz Status resolved => closed